InterceptorProvider (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.interceptor, interface: InterceptorProvider

Package org.apache.cxf.interceptor

# Interface InterceptorProvider

All Known Subinterfaces:
  `Binding`, `Bus`, `Client`, `Endpoint`, `Service`

All Known Implementing Classes:
  `AbstractAttributedInterceptorProvider`, `AbstractBasicInterceptorProvider`, `AbstractEndpointFactory`, `AbstractInterceptorProvidingDataBinding`, `BusDefinitionParser.BusConfig`, `ClientImpl`, `EndpointImpl`, `ExtensionManagerBus`, `ServiceImpl`, `SpringBus`, `StaxDataBinding`

public interface InterceptorProvider
The `InterceptorProvider` interface is implemented by objects that have interceptor chains associated with them. The methods in this interface provide the ability to add and remove interceptors to the chains of the InterceptorProvider.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Interceptor<? extends Message>>`
  `getInFaultInterceptors()`
  Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getInInterceptors()`
  Returns the list of interceptors attached to the incoming interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutFaultInterceptors()`
  Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
  `List<Interceptor<? extends Message>>`
  `getOutInterceptors()`
  Returns the list of interceptors attached to the outgoing interceptor chain of the object.

- ## Method Details

  - ### getInInterceptors

    List<Interceptor<? extends Message>> getInInterceptors()
    Returns the list of interceptors attached to the incoming interceptor chain of the object.
    Returns:
      `List` incoming interceptor chain

  - ### getOutInterceptors

    List<Interceptor<? extends Message>> getOutInterceptors()
    Returns the list of interceptors attached to the outgoing interceptor chain of the object.
    Returns:
      `List` outgoing interceptor chain

  - ### getInFaultInterceptors

    List<Interceptor<? extends Message>> getInFaultInterceptors()
    Returns the list of interceptors attached to the incoming fault interceptor chain of the object.
    Returns:
      `List` incoming fault interceptor chain

  - ### getOutFaultInterceptors

    List<Interceptor<? extends Message>> getOutFaultInterceptors()
    Returns the list of interceptors attached to the outgoing fault interceptor chain of the object.
    Returns:
      `List` outgoing fault interceptor chain